#include <stdio.h>

/* 
PROGRAMA QUE LEE CUALQUIER NÚMERO ENTERO INDEFINIDAMENTE 
HASTA QUE EL USUARIO INTRODUZCA UN CERO.
*/

int main(){
    int num;

    do {
        scanf("%d",&num);
        } while (num != 0);
}